<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page language="java" import="java.util.Locale" %>

<html>
  <head>
    <title>Graphics Resource</title>
    <style type="text/css">
      * {font-family: Arial;font-size:small;}
    </style>
    <link rel="stylesheet" href="css/soria.all.css.min.css" type="text/css"></link>
    <link rel="stylesheet" href="css/adf.css" type="text/css"></link>
  </head>
  <body>
    <f:view>
      <a:context value="#{mapContext}" />
      <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
      <script type="text/javascript">
        adfdojo.require("adf.adf");
        adfdojo.requireLocalization("resource","adf");
      </script>
      <h:form id="frmSimple">
        <table width="100%" style="height:100%">
          <tr>
            <td align="center">
              <table style="border:1px solid #000000;">
                <tr>
                  <td colspan="3" align="center">
                    <a:toolbar id="toolbar1" mapId="map1" toolbarStyle="TEXTONLY" activeTool="zoomIn1">
                      <a:tool id="zoomIn1"      clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomInToolAction"  toolText="Zoom In"      lineColor="#0000FF" lineWidth="3" />
                      <a:tool id="zoomOut1"     clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomOutToolAction" toolText="Zoom Out"     lineColor="#00FF00" lineWidth="5" />
                      <a:command id="FE" toolText="Full Extent">
                        <f:actionListener type="com.esri.adf.web.faces.event.ZoomFullExtentListener"/>
                      </a:command>
                    </a:toolbar>
                    Draw graphics using
                    <a:button id="addPointFeature"      mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.addGraphicFeature}" value="Point"      toolTip="Draw Point" type="BUTTON" clientAction="adf.MapPoint" />                  
                    <a:button id="addMultiPointFeature" mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.addGraphicFeature}" value="Extent"     toolTip="Drag Extent" type="BUTTON" clientAction="adf.MapRectangle" />
                    <a:button id="addPolylineFeature"   mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.addGraphicFeature}" value="Polyline"   toolTip="Draw Polyline" type="BUTTON" clientAction="adf.MapPolyline" />
                    <a:button id="addPolygonFeature"    mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.addGraphicFeature}" value="Polygon"    toolTip="Draw Polygon" type="BUTTON" clientAction="adf.MapPolygon" />
                    <br>
                    Identify graphics using 
                    <a:button id="identifyByPoint"      mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.identifyCriteria}"   value="I Point"    toolTip="Identify"             type="BUTTON" clientAction="adf.MapPoint" />
                    <a:button id="identifyByExtent"     mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.identifyCriteria}"   value="I Extent"   toolTip="Identify By Extent"   type="BUTTON" clientAction="adf.MapRectangle" />
                    <a:button id="identifyByPolyline"   mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.identifyCriteria}"   value="I Polyline" toolTip="Identify By Polyline" type="BUTTON" clientAction="adf.MapPolyline" />
                    <a:button id="identifyByPolygon"    mapId="map1" serverAction="#{mapContext.attributes.myCustomAttribute.identifyCriteria}"   value="I Polygon"  toolTip="Identify By Polygon"  type="BUTTON" clientAction="adf.MapPolygon" />                                      
                  
                  </td>
                </tr>
                <tr>
                  <td valign="TOP">
                    <a:toc id="toc" mapId="map1" value="#{mapContext.webToc}" style="border:1px solid #000000;height:600px;width:200px;" />
                    <%--
                    <!-- Adding dynamically graphic feature will not change overview control image. (CR70933) -->
                    <br />
                    <a:overview id="overview" mapId="map1" value="#{mapContext.webOverview}" style="border:1px solid #000000;height:200px;width:200px;" />
                    --%>
                  </td>
                  <td valign="TOP">
                    <a:map id="map1" value="#{mapContext.webMap}" width="600" height="600" style="border:1px solid #000000;" />
                  </td>
                  <td>
                    <a:results id="results" value="#{mapContext.attributes.resultsView}" mapId="map1" style="border: 1px solid #000000;height:600px;width:200px;" />                  
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </h:form>
    </f:view>
  </body>
</html>
